Package com.orchestranetworks.service.comparison

# Interface DifferenceBetweenHomes

All Superinterfaces:
  `Difference`

public interface DifferenceBetweenHomes extends Difference
Main class for comparing dataspaces and snapshots.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DifferenceBetweenInstances`
  `getDeltaInstance(AdaptationName instanceName)`
  For values, returns the differences of the dataset, `null` if there are no differences or if dataset only exists on the left or on the right.
  `List<DifferenceBetweenInstances>`
  `getDeltaInstances()`
  Returns the list of delta datasets for values.
  `int`
  `getDeltaInstancesSize()`
  Returns the total number of delta datasets for values.
  `ExtraInstanceOnLeft`
  `getExtraInstanceOnLeft(AdaptationName adaptationName)`
  Returns the specified extra dataset on the left, `null` if there is not such dataset.
  `ExtraInstanceOnRight`
  `getExtraInstanceOnRight(AdaptationName adaptationName)`
  Returns the specified extra dataset on the right, `null` if there no such dataset.
  `List<ExtraInstanceOnLeft>`
  `getExtraInstancesOnLeft()`
  Returns the extra datasets on the left.
  `int`
  `getExtraInstancesOnLeftSize()`
  Returns the total number of extra datasets on the left.
  `List<ExtraInstanceOnRight>`
  `getExtraInstancesOnRight()`
  Returns the extra datasets on the right.
  `int`
  `getExtraInstancesOnRightSize()`
  Returns the total number of extra datasets on the right.
  `AdaptationHome`
  `getHomeOnLeft()`
  The dataspace or snapshot on the left of the comparison.
  `AdaptationHome`
  `getHomeOnRight()`
  The dataspace or snapshot on the right of the comparison.
  `boolean`
  `isEmpty()`
  Returns `true` if there are no differences.

  ### Methods inherited from interface com.orchestranetworks.service.comparison.Difference

  `isResolvedMode`

- ## Method Details

  - ### getHomeOnLeft

    AdaptationHome getHomeOnLeft()
    The dataspace or snapshot on the left of the comparison.

  - ### getHomeOnRight

    AdaptationHome getHomeOnRight()
    The dataspace or snapshot on the right of the comparison.

  - ### getDeltaInstance

    DifferenceBetweenInstances getDeltaInstance(AdaptationName instanceName)
    For values, returns the differences of the dataset, `null` if there are no differences or if dataset only exists on the left or on the right.

  - ### getDeltaInstances

    List<DifferenceBetweenInstances> getDeltaInstances()
    Returns the list of delta datasets for values.
    Returns:
      a `List` of `DifferenceBetweenInstances`.

  - ### getDeltaInstancesSize

    int getDeltaInstancesSize()
    Returns the total number of delta datasets for values.

  - ### getExtraInstancesOnLeft

    List<ExtraInstanceOnLeft> getExtraInstancesOnLeft()
    Returns the extra datasets on the left.
    See Also:
      - `ExtraInstanceOnLeft`

  - ### getExtraInstanceOnLeft

    ExtraInstanceOnLeft getExtraInstanceOnLeft(AdaptationName adaptationName)
    Returns the specified extra dataset on the left, `null` if there is not such dataset.

  - ### getExtraInstancesOnLeftSize

    int getExtraInstancesOnLeftSize()
    Returns the total number of extra datasets on the left.

  - ### getExtraInstancesOnRight

    List<ExtraInstanceOnRight> getExtraInstancesOnRight()
    Returns the extra datasets on the right.
    See Also:
      - `ExtraInstanceOnRight`

  - ### getExtraInstanceOnRight

    ExtraInstanceOnRight getExtraInstanceOnRight(AdaptationName adaptationName)
    Returns the specified extra dataset on the right, `null` if there no such dataset.

  - ### getExtraInstancesOnRightSize

    int getExtraInstancesOnRightSize()
    Returns the total number of extra datasets on the right.

  - ### isEmpty

    boolean isEmpty()
    Description copied from interface: `Difference`
    Returns `true` if there are no differences.
    Specified by:
      `isEmpty` in interface `Difference`